net.sf.jasperreports.engine.query

## Class AbstractXlsQueryExecuterFactory

- java.lang.Object
- - net.sf.jasperreports.engine.query.AbstractQueryExecuterFactory
  - - net.sf.jasperreports.engine.query.AbstractXlsQueryExecuterFactory

- All Implemented Interfaces:
    JRQueryExecuterFactory, QueryExecuterFactory
  Direct Known Subclasses:
    ExcelQueryExecuterFactory, JRXlsQueryExecuterFactory, JRXlsxQueryExecuterFactory, XlsQueryExecuterFactory

      public abstract class AbstractXlsQueryExecuterFactory
      extends AbstractQueryExecuterFactory

  Query executer factory for Excel file type.
  Version:
    $Id: ExcelQueryExecuterFactory.java 6960 2014-03-07 14:38:21Z shertage $
  Author:
    sanda zaharia (shertage@users.sourceforge.net)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `XLS_COLUMN_INDEXES` Built-in parameter/property holding the value of the column indexes to be extracted from the Excel source.
    `static java.lang.String` | `XLS_COLUMN_INDEXES_ARRAY` Built-in parameter holding the value of the column indexes to be extracted from the Excel source, as a `java.lang.Integer[]` object.
    `static java.lang.String` | `XLS_COLUMN_NAMES` Built-in parameter/property holding the value of the columns to be extracted from the Excel source.
    `static java.lang.String` | `XLS_COLUMN_NAMES_ARRAY` Built-in parameter holding the value of the columns to be extracted from the Excel source, as a `java.lang.String[]` object.
    `static java.lang.String` | `XLS_DATE_FORMAT` Built-in parameter holding the value of the `java.text.DateFormat` used to format date columns from the Excel source.
    `static java.lang.String` | `XLS_DATE_PATTERN` Built-in parameter/property holding the value of the date format pattern to be used when parsing the Excel data.
    `static java.lang.String` | `XLS_FILE` Built-in parameter holding the value of the `java.io.File` to be used for obtaining the Excel data.
    `static java.lang.String` | `XLS_INPUT_STREAM` Built-in parameter holding the value of the `java.io.InputStream` to be used for obtaining the Excel data.
    `static java.lang.String` | `XLS_LOCALE` Built-in parameter holding the `java.util.Locale` value of the locale to be used when parsing the Excel data.
    `static java.lang.String` | `XLS_LOCALE_CODE` Built-in parameter/property holding the `java.lang.String` code of the locale to be used when parsing the Excel data.
    `static java.lang.String` | `XLS_NUMBER_FORMAT` Built-in parameter holding the value of the `java.text.NumberFormat` used to format numeric columns from the Excel source.
    `static java.lang.String` | `XLS_NUMBER_PATTERN` Built-in parameter/property holding the value of the number format pattern to be used when parsing the Excel data.
    `static java.lang.String` | `XLS_SHEET_SELECTION` Built-in parameter/property holding the value of the sheet name to be used when parsing the Excel data.
    `static java.lang.String` | `XLS_SOURCE` Built-in parameter/property holding the value of the `java.lang.String` source to be used for obtaining the Excel data.
    `static java.lang.String` | `XLS_TIMEZONE` Built-in parameter holding the `java.util.TimeZone` value of the timezone to be used when parsing the Excel data.
    `static java.lang.String` | `XLS_TIMEZONE_ID` Built-in parameter/property holding the `java.lang.String` value of the time zone id to be used when parsing the Excel data.
    `static java.lang.String` | `XLS_USE_FIRST_ROW_AS_HEADER` Built-in parameter/property specifying whether or not the column names should be obtained from the first row in the Excel source.
    `static java.lang.String` | `XLS_WORKBOOK` Built-in parameter holding the value of the `Workbook` to be used for obtaining the Excel data.

    - ### Fields inherited from interface net.sf.jasperreports.engine.query.QueryExecuterFactory

      `QUERY_EXECUTER_FACTORY_PREFIX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractXlsQueryExecuterFactory()`

  - ### Method Summary

    - ### Methods inherited from class net.sf.jasperreports.engine.query.AbstractQueryExecuterFactory

      `createQueryExecuter`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.jasperreports.engine.query.QueryExecuterFactory

      `createQueryExecuter, getBuiltinParameters, supportsQueryParameterType`

- - ### Field Detail

    - #### XLS_WORKBOOK

          public static final java.lang.String XLS_WORKBOOK

      Built-in parameter holding the value of the `Workbook` to be used for obtaining the Excel data.
      See Also:
        Constant Field Values

    - #### XLS_INPUT_STREAM

          public static final java.lang.String XLS_INPUT_STREAM

      Built-in parameter holding the value of the `java.io.InputStream` to be used for obtaining the Excel data.
      See Also:
        Constant Field Values

    - #### XLS_FILE

          public static final java.lang.String XLS_FILE

      Built-in parameter holding the value of the `java.io.File` to be used for obtaining the Excel data.
      See Also:
        Constant Field Values

    - #### XLS_SOURCE

          public static final java.lang.String XLS_SOURCE

      Built-in parameter/property holding the value of the `java.lang.String` source to be used for obtaining the Excel data.
      See Also:
        Constant Field Values

    - #### XLS_COLUMN_NAMES

          public static final java.lang.String XLS_COLUMN_NAMES

      Built-in parameter/property holding the value of the columns to be extracted from the Excel source. When used as report parameter, the value has to be a `java.lang.String` object containing column names separated by commas. It can also be used as the prefix for custom dataset properties specifying the names of the Excel columns in the format: `net.sf.jasperreports.xls.column.names.{arbitrary_name}=value1[, value2, ...]`
      See Also:
        Constant Field Values

    - #### XLS_COLUMN_INDEXES

          public static final java.lang.String XLS_COLUMN_INDEXES

      Built-in parameter/property holding the value of the column indexes to be extracted from the Excel source. When used as report parameter, the value has to be a `java.lang.String` object containing column indexes separated by comma. It can also be used as the prefix for custom dataset properties specifying the names of the Excel column indexes in the format: `net.sf.jasperreports.xls.column.indexes.{arbitrary_name}=value1[, value2, ...]`
      See Also:
        Constant Field Values

    - #### XLS_COLUMN_NAMES_ARRAY

          public static final java.lang.String XLS_COLUMN_NAMES_ARRAY

      Built-in parameter holding the value of the columns to be extracted from the Excel source, as a `java.lang.String[]` object.

      When this parameter is null or missing, its value defaults to the values provided by properties prefixed with `XLS_COLUMN_NAMES`.
      See Also:
        Constant Field Values

    - #### XLS_COLUMN_INDEXES_ARRAY

          public static final java.lang.String XLS_COLUMN_INDEXES_ARRAY

      Built-in parameter holding the value of the column indexes to be extracted from the Excel source, as a `java.lang.Integer[]` object.

      When this parameter is null or missing, its value defaults to the values provided by properties prefixed with `XLS_COLUMN_INDEXES`.
      See Also:
        Constant Field Values

    - #### XLS_LOCALE

          public static final java.lang.String XLS_LOCALE

      Built-in parameter holding the `java.util.Locale` value of the locale to be used when parsing the Excel data.
      See Also:
        Constant Field Values

    - #### XLS_LOCALE_CODE

          public static final java.lang.String XLS_LOCALE_CODE

      Built-in parameter/property holding the `java.lang.String` code of the locale to be used when parsing the Excel data.

      The allowed format is: language[_country[_variant]]
      See Also:
        Constant Field Values

    - #### XLS_TIMEZONE

          public static final java.lang.String XLS_TIMEZONE

      Built-in parameter holding the `java.util.TimeZone` value of the timezone to be used when parsing the Excel data.
      See Also:
        Constant Field Values

    - #### XLS_TIMEZONE_ID

          public static final java.lang.String XLS_TIMEZONE_ID

      Built-in parameter/property holding the `java.lang.String` value of the time zone id to be used when parsing the Excel data.
      See Also:
        Constant Field Values

    - #### XLS_DATE_FORMAT

          public static final java.lang.String XLS_DATE_FORMAT

      Built-in parameter holding the value of the `java.text.DateFormat` used to format date columns from the Excel source.
      See Also:
        Constant Field Values

    - #### XLS_DATE_PATTERN

          public static final java.lang.String XLS_DATE_PATTERN

      Built-in parameter/property holding the value of the date format pattern to be used when parsing the Excel data.
      See Also:
        Constant Field Values

    - #### XLS_NUMBER_FORMAT

          public static final java.lang.String XLS_NUMBER_FORMAT

      Built-in parameter holding the value of the `java.text.NumberFormat` used to format numeric columns from the Excel source.
      See Also:
        Constant Field Values

    - #### XLS_NUMBER_PATTERN

          public static final java.lang.String XLS_NUMBER_PATTERN

      Built-in parameter/property holding the value of the number format pattern to be used when parsing the Excel data.
      See Also:
        Constant Field Values

    - #### XLS_SHEET_SELECTION

          public static final java.lang.String XLS_SHEET_SELECTION

      Built-in parameter/property holding the value of the sheet name to be used when parsing the Excel data.
      See Also:
        Constant Field Values

    - #### XLS_USE_FIRST_ROW_AS_HEADER

          public static final java.lang.String XLS_USE_FIRST_ROW_AS_HEADER

      Built-in parameter/property specifying whether or not the column names should be obtained from the first row in the Excel source. As parameter, it should hold a `java.lang.Boolean` value, while as custom dataset property, it should be true or false. If this parameter is set to true, then setting the `XLS_COLUMN_NAMES` or `XLS_COLUMN_NAMES_ARRAY` would have no effect.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AbstractXlsQueryExecuterFactory

          public AbstractXlsQueryExecuterFactory()

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com